> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Convert dust assets

POST https://www.okx.com/api/v5/asset/convert-dust-assets
Content-Type: application/json

Convert small-balance (dust) assets in the funding account into OKB. All specified currencies are converted at once.

Reference: https://okx-demo.ferndocs.com/api/api-reference/funding/convert-dust-assets

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Body (application/json)

This endpoint expects an object.

- `ccy` (list of ApiV5AssetConvertDustAssetsPostRequestBodyContentApplicationJsonSchemaCcyItems, required) — Currencies to convert, e.g. ["BTC","USDT"].

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AssetConvertDustAssetsPostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AssetConvertDustAssetsPostRequestBodyContentApplicationJsonSchemaCcyItems

- `ccy` (string, optional) — Currency code.

### ApiV5AssetConvertDustAssetsPostResponsesContentApplicationJsonSchemaDataItems

- `totalCnvAmt` (string, optional) — Total quantity of OKB after conversion.
- `cTime` (string, optional) — Conversion time, Unix timestamp in milliseconds.
- `details` (list of ApiV5AssetConvertDustAssetsPostResponsesContentApplicationJsonSchemaDataItemsDetailsItems, optional) — Details of each converted currency.

### ApiV5AssetConvertDustAssetsPostResponsesContentApplicationJsonSchemaDataItemsDetailsItems

- `ccy` (string, optional) — Currency that was converted.
- `amt` (string, optional) — Quantity of the currency converted.
- `cnvAmt` (string, optional) — Quantity of OKB received from converting this currency.
- `fee` (string, optional) — Fee charged in OKB for the conversion.

## Examples

**Request**

```json
{
  "ccy": [
    {},
    {}
  ]
}
```

**Response**

```json
{
  "code": "string",
  "msg": "string",
  "data": [
    {
      "totalCnvAmt": "string",
      "cTime": "string",
      "details": [
        {
          "ccy": "string",
          "amt": "string",
          "cnvAmt": "string",
          "fee": "string"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://www.okx.com/api/v5/asset/convert-dust-assets"

payload = { "ccy": [{}, {}] }
headers = {
    "OK-ACCESS-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://www.okx.com/api/v5/asset/convert-dust-assets';
const options = {
  method: 'POST',
  headers: {'OK-ACCESS-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"ccy":[{},{}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/asset/convert-dust-assets"

	payload := strings.NewReader("{\n  \"ccy\": [\n    {},\n    {}\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/asset/convert-dust-assets")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"ccy\": [\n    {},\n    {}\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://www.okx.com/api/v5/asset/convert-dust-assets")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"ccy\": [\n    {},\n    {}\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://www.okx.com/api/v5/asset/convert-dust-assets', [
  'body' => '{
  "ccy": [
    {},
    {}
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/asset/convert-dust-assets");
var request = new RestRequest(Method.POST);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"ccy\": [\n    {},\n    {}\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "OK-ACCESS-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["ccy": [[], []]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/asset/convert-dust-assets")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```